Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.x509
Class X509StoreSpi

    java.lang.Object
      org.bouncycastle.x509.X509StoreSpi

Direct Known Subclasses:
  X509StoreAttrCertCollection, X509StoreCertCollection, X509StoreCertPairCollection, X509StoreCRLCollection, X509StoreLDAPAttrCerts, X509StoreLDAPCertPairs, X509StoreLDAPCerts, X509StoreLDAPCRLs

    public abstract class X509StoreSpi

extends java.lang.Object

Constructor Summary
`X509StoreSpi()`

Method Summary
`abstract java.util.Collection` `engineGetMatches(Selector selector)`
`abstract void` `engineInit(X509StoreParameters parameters)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### X509StoreSpi

    public X509StoreSpi()

Method Detail

### engineInit

    public abstract void engineInit(X509StoreParameters parameters)

### engineGetMatches

    public abstract java.util.Collection engineGetMatches(Selector selector)

Bouncy Castle Cryptography Library 1.45